Bug 989115 - Add a missing requirement on crontabs for the cron job to the spec file
Add a missing requirement on crontabs for the cron job to the spec file
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: snapper (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ondrej Kozina
Fedora Extras Quality Assurance
:
Depends On:
Blocks: requires-crontabs
  Show dependency treegraph
 
Reported: 2013-07-27 12:59 EDT by Jóhann B. Guðmundsson
Modified: 2013-07-31 05:38 EDT (History)
4 users (show)

See Also:
Fixed In Version: snapper-0.1.5-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 05:38:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Spec file fixes patch (1.37 KB, patch)
2013-07-27 13:00 EDT, Jóhann B. Guðmundsson
no flags Details | Diff

  None (edit)
Description Jóhann B. Guðmundsson 2013-07-27 12:59:13 EDT
Description of problem:

Please update your package according to the packing guidelines
http://fedoraproject.org/wiki/Packaging:CronFiles
Thanks


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Jóhann B. Guðmundsson 2013-07-27 13:00:20 EDT
Created attachment 779136 [details]
Spec file fixes patch
Comment 2 Ondrej Kozina 2013-07-29 03:19:36 EDT
I'll investigate the possibility to replace cron files with systemd timer files. Moreover, there's RFE for that in upstream: https://github.com/openSUSE/snapper/issues/18
Comment 3 Jóhann B. Guðmundsson 2013-07-29 04:12:48 EDT
Well there are some scalability issues with systemd timers that have not been quite sorted out yet which we will probably be discussing in the systemd hackfest that will take place in BRNO after a week or so and and we have not made changes to the packaging guidelines for timer units.

Upstream is using "for CONFIG in $SNAPPER_CONFIGS" which means a) it needs to be template units and b) the sysconfig environment file would be dropped for this in the cron script and separate template units created for each task {number,timeline,empty-pre-post,create}) and you will have change the requirements to systemd according to [1] 

You can try these unit as a base for the template units. 


### Begin snapper-timeline-create.service ###

[Unit]
Description=Snapper Timeline Creator
Documentation=man:snapper(8)

[Service]
ExecStart=/usr/sbin/snapper --config=myconfig --quiet create --description="timeline" --cleanup-algorithm="timeline"

### End snapper-timeline-create.service ###


### Begn snapper-timeline-create.service ###

[Unit]
Description=Snapper Timeline Create Time Trigger
Documentation=snapper(8)

[Timer]
Unit=snapper-timeline-create.service
OnBootSec=1hour
OnUnitActiveSec=1h

[Install]
WantedBy=multi-user.target

### End snapper-timeline-create.timer ###

1. http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd

Note You need to log in before you can comment on or make changes to this bug.